# std::basic_string_view<CharT,Traits>::back

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reference back() const; |  | (since C++17)

Returns reference to the last character in the view. The behavior is undefined if empty() == true.

### Parameters

(none)

### Return value

Reference to the last character, equivalent to operator[](size() - 1).

### Complexity

Constant.

### See also

front | accesses the first character (public member function)
empty | checks whether the view is empty (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/back&oldid=105458"